!TL-SG2008
#
vlan 15,25,35,45,56,2005
#
vlan 15
name "P2P sw1"
#
vlan 25
name "P2P sw2"
#
vlan 35
name "P2P sw3"
#
vlan 45
name "P2P sw5"
#
vlan 56
name "P2P sw6"
#
vlan 2005
name "Management"
#
# [...]
#
hostname "MSTP-sw5"
#
# [...]
#
spanning-tree
spanning-tree mode mstp
spanning-tree mst instance 4 priority 28672
spanning-tree mst configuration
  name MSTP
  instance 1 vlan 2005,
  instance 2 vlan 12-13,15,24,26,
  instance 3 vlan 14,23,34-35,46,
  instance 4 vlan 16,25,36,45,56,
#
# [...]
#
interface gigabitEthernet 1/0/1
  switchport general allowed vlan 15,2005 tagged
  
  spanning-tree
  spanning-tree mst instance 2 port-priority 128 cost 1000
#
interface gigabitEthernet 1/0/2
  switchport general allowed vlan 25,2005 tagged
  
  spanning-tree
  spanning-tree mst instance 4 port-priority 128 cost 1000
#
interface gigabitEthernet 1/0/3
  switchport general allowed vlan 35,2005 tagged
  
  spanning-tree
  spanning-tree mst instance 3 port-priority 128 cost 1000
#
interface gigabitEthernet 1/0/4
  switchport general allowed vlan 45,2005 tagged
  
  spanning-tree
  spanning-tree mst instance 4 port-priority 128 cost 1000
#
interface gigabitEthernet 1/0/5
  switchport general allowed vlan 2005 untagged
  switchport pvid 2005
  
  spanning-tree
#
interface gigabitEthernet 1/0/6
  switchport general allowed vlan 56,2005 tagged
  
  spanning-tree
  spanning-tree mst instance 4 port-priority 128 cost 1000
#
# [...]
#
interface gigabitEthernet 1/0/8
  switchport general allowed vlan 15,25,35,45,56,2005 tagged
  
  spanning-tree
#
ip management-vlan 2005
interface vlan 2005
ip address 172.24.5.1 255.255.0.0
#
end
